replicaCount: 1

image:
  repository: lscr.io/linuxserver/steam
  tag: latest
  pullPolicy: IfNotPresent

namespaceName: gaming

service:
  type: ClusterIP
  port: 3000
  targetPort: 3000

ingress:
  enabled: true
  className: nginx
  annotations:
    cert-manager.io/cluster-issuer: hetzner-dns
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
  hosts:
    - host: craftlings.djieno.com
      paths:
        - path: /
          pathType: Prefix
  tls:
    - secretName: craftlings-tls
      hosts:
        - craftlings.djieno.com

nodeSelector:
  gpu-type: amd

resources:
  requests:
    cpu: 1
    memory: 2Gi
    amd.com/gpu: 1
  limits:
    cpu: 2
    memory: 4Gi
    amd.com/gpu: 1

persistence:
  config:
    enabled: true
    storageClass: openebs-lvm-thin
    size: 5Gi
    mountPath: /config
  games:
    enabled: false
    storageClass: openebs-lvm-thin
    size: 2Gi
    mountPath: /games

securityContext:
  runAsUser: 0
  runAsGroup: 0
  fsGroup: 1000
  supplementalGroups:
    - 1000
  seccompProfile:
    type: Unconfined

containerSecurityContext:
  privileged: true
  runAsUser: 0
  runAsNonRoot: false
  allowPrivilegeEscalation: true
  capabilities:
    add:
      - CHOWN
      - SETUID
      - SETGID
      - FOWNER
      - DAC_OVERRIDE
      - SYS_ADMIN

environment:
  PUID: "1000"
  PGID: "1000"
  TZ: UTC
  DISPLAY: ":0"

gpu:
  enabled: true
  resourceName: amd.com/gpu

audio:
  enabled: true
  pulseServer: /run/pulse/native
